<?php
defined('ABSPATH') or die("No script kiddies please!");
$user_individual_average_review_switch_type = isset($user_review_details['erp_average_user_review_rating_display_style']) && $user_review_details['erp_average_user_review_rating_display_style'] != 'default' ? $user_review_details['erp_average_user_review_rating_display_style'] : $user_review_details['erp_user_review_rating_display_style'];
$user_reivew_id_array = array();
if (!empty($user_reviews)) {
    foreach ($user_reviews as $user_review) {
        $form_review_valuess = json_decode($user_review['user_review_value']);
        $sum_individual_user_value_array = array();
        ?>
        <div class="erp-user-review-ind-wrap">
            <div class="erp-user-review-section-wrapper">
                <div class="erp-user-review-right-section">
                    <div class="erp-user-review-gravatar">
                        <?php echo get_avatar($user_review['user_review_email'], 100); ?>
                    </div>
                    <div class="erp-user-review-date-format">
                        <?php echo $this->erp_time_elapsed_string($user_review['date']); ?>
                    </div>

                    <div class="erp-user-review-username">
                        <?php echo esc_attr($user_review['review_user_name']); ?>  
                    </div>
                </div>

            </div>
            <div class="erp-user-review-left-section">
                <div class="erp-user-review-left-end-wrapper <?php
                if (isset($user_individual_average_review_switch_type) && $user_individual_average_review_switch_type == 'star') {
                    echo 'erp-user-review-full-width-wrap';
                } else if (isset($user_individual_average_review_switch_type) && $user_individual_average_review_switch_type == 'bar') {
                    echo 'erp-user-review-full-width-wrap';
                }
                ?> erp-clearfix">
                    <div class="erp-user-review-left-end-left <?php
                    if (isset($user_individual_average_review_switch_type) && $user_individual_average_review_switch_type == 'star') {
                        echo 'erp-star-whole-rating';
                    } else if (isset($user_individual_average_review_switch_type) && $user_individual_average_review_switch_type == 'circular') {
                        echo 'erp-circular-whole-rating';
                    } else {
                        echo 'erp-circular-whole-rating';
                    }
                    ?>">
                        <div class="erp-user-average-review-section">
                            <?php
                            if (!empty($form_review_valuess)) {
                                foreach ($form_review_valuess as $key => $val) {
                                    $sum_individual_user_value_array[$key] = $val;
                                }
                            }
                            $user_array_value_count = $this->erp_count_recursive($sum_individual_user_value_array);
                            if (!empty($user_array_value_count)) {
                                $user_individual_average_score = array_sum($sum_individual_user_value_array) / $user_array_value_count;
                            } else {
                                $user_individual_average_score = '';
                            }
                            if ($user_individual_average_review_switch_type != 'none' && $user_individual_average_score != '') {
                                ?>
                                <div class="erp-average-user-score">
                                    <?php
                                    if (isset($user_individual_average_review_switch_type)) {
                                        ?>
                                        <div class="erp-average-user-review-rating-section <?php
                                        if (isset($user_individual_average_review_switch_type) && $user_individual_average_review_switch_type == 'star') {
                                            echo 'erp-star-admin-rating';
                                        } else if (isset($user_individual_average_review_switch_type) && $user_individual_average_review_switch_type == 'circular') {
                                            echo 'erp-circular-admin-rating';
                                        } else {
                                            echo 'erp-circular-admin-rating';
                                        }
                                        ?>"><?php
                                                 switch ($user_individual_average_review_switch_type) {
                                                     case'star':
                                                         ?>
                                                    <div class="erp-average-user-score-values">
                                                        <?php echo esc_attr($user_review_details['erp_user_review_average_label']); ?>
                                                    </div>
                                                    <div class="erp-star-rating-input" 
                                                         data-star-value="<?php echo esc_attr($user_individual_average_score); ?>"
                                                         data-min-val="<?php echo (isset($general_review_settings['erp_review_range_min']) && !empty($general_review_settings['erp_review_range_min'])) ? esc_attr($general_review_settings['erp_review_range_min']) : '1'; ?>" 
                                                         data-max-val="<?php echo (isset($general_review_settings['erp_review_range_max']) && !empty($general_review_settings['erp_review_range_max'])) ? esc_attr($general_review_settings['erp_review_range_max']) : '10'; ?>"
                                                         data-increment-type="<?php echo isset($general_review_settings['erp_review_range_increment_type']) && !empty($general_review_settings['erp_review_range_increment_type']) ? esc_attr($general_review_settings['erp_review_range_increment_type']) : '0.1'; ?>"
                                                         data-star-rated-fill="<?php echo isset($user_review_details['erp_user_review_review_color']) && !empty($user_review_details['erp_user_review_review_color']) ? esc_attr($user_review_details['erp_user_review_review_color']) : esc_attr($general_review_settings['erp_review_star_fill_color']); ?>" 
                                                         data-star-number="5" 
                                                         data-star-width="28" 
                                                         data-star-spacing="2" 
                                                         data-star-multicolor-enable="off"
                                                         ></div>
                                                    <div class="erp-user-average-score-values">
                                                        <?php
                                                        $bar_value = $this->erp_convert_percent($user_individual_average_score, isset($general_review_settings['erp_review_range_max']) && !empty($general_review_settings['erp_review_range_max']) ? esc_attr($general_review_settings['erp_review_range_max']) : '10', isset($general_review_settings['erp_review_range_min']) && !empty($general_review_settings['erp_review_range_min']) ? esc_attr($general_review_settings['erp_review_range_min']) : '1');
                                                        if (isset($user_review_details['erp_user_average_review_type']) && $user_review_details['erp_user_average_review_type'] == 'percentage') {
                                                            echo $bar_value . '%';
                                                        } else {
                                                            echo esc_attr($this->erp_truncate_number($user_individual_average_score));
                                                        }
                                                        ?>
                                                    </div> 
                                                    <?php
                                                    break;
                                                case 'circular':
                                                    $bar_value = $this->erp_convert_percent($user_individual_average_score, isset($general_review_settings['erp_review_range_max']) && !empty($general_review_settings['erp_review_range_max']) ? esc_attr($general_review_settings['erp_review_range_max']) : '10', isset($general_review_settings['erp_review_range_min']) && !empty($general_review_settings['erp_review_range_min']) ? esc_attr($general_review_settings['erp_review_range_min']) : '1');
                                                    ?>
                                                    <div class="erp-circular-rating-input" id="erp-circular-rating-input"
                                                         data-percent="<?php echo esc_attr($bar_value); ?>"
                                                         data-inner-text=" <?php
                                                         if (isset($user_review_details['erp_user_average_review_type']) && $user_review_details['erp_user_average_review_type'] == 'percentage') {
                                                             echo $bar_value . '%';
                                                         } else {
                                                             echo esc_attr($this->erp_truncate_number($user_individual_average_score));
                                                         }
                                                         ?>"
                                                         data-circular-rated-fill="<?php echo isset($user_review_details['erp_user_review_review_color']) && !empty($user_review_details['erp_user_review_review_color']) ? esc_attr($user_review_details['erp_user_review_review_color']) : '#f3b40b'; ?>" 
                                                         data-circular-width="<?php echo!empty($general_review_settings['erp_review_star_width']) ? esc_attr($general_review_settings['erp_review_star_width']) : ''; ?>">
                                                    </div>
                                                    <div class="erp-average-user-score-values">
                                                        <?php echo esc_attr($user_review_details['erp_user_review_average_label']); ?>
                                                    </div>
                                                    <?php
                                                    break;
                                                case 'none':
                                                    break;
                                                default:
                                                    $bar_value = $this->erp_convert_percent($user_individual_average_score, isset($general_review_settings['erp_review_range_max']) && !empty($general_review_settings['erp_review_range_max']) ? esc_attr($general_review_settings['erp_review_range_max']) : '10', isset($general_review_settings['erp_review_range_min']) && !empty($general_review_settings['erp_review_range_min']) ? esc_attr($general_review_settings['erp_review_range_min']) : '1');
                                                    ?>
                                                    <div class="erp-circular-rating-input" id="erp-circular-rating-input"
                                                         data-percent="<?php echo esc_attr($bar_value); ?>"
                                                         data-inner-text=" <?php
                                                         if (isset($user_review_details['erp_user_average_review_type']) && $user_review_details['erp_user_average_review_type'] == 'percentage') {
                                                             echo $bar_value . '%';
                                                         } else {
                                                             echo esc_attr($this->erp_truncate_number($user_individual_average_score));
                                                         }
                                                         ?>"
                                                         data-circular-rated-fill="<?php echo isset($user_review_details['erp_user_review_review_color']) && !empty($user_review_details['erp_user_review_review_color']) ? esc_attr($user_review_details['erp_user_review_review_color']) : '#f3b40b'; ?>" 
                                                         data-circular-width="<?php echo!empty($general_review_settings['erp_review_star_width']) ? esc_attr($general_review_settings['erp_review_star_width']) : ''; ?>">
                                                    </div>
                                                    <div class="erp-average-user-score-values">
                                                        <?php echo esc_attr($user_review_details['erp_user_review_average_label']); ?>
                                                    </div>
                                                    <?php
                                                    break;
                                            }
                                        }
                                        ?>
                                    </div>
                                </div>
                            <?php } ?>
                        </div> 
                    </div>
                    <div class="erp-user-review-left-end-right">
                        <div class="erp-user-review-title">
                            <?php echo esc_attr($user_review['user_review_title']); ?>  
                        </div>
                        <div class="erp-user-review-description">
                            <?php echo nl2br(html_entity_decode($user_review['user_review_description'])); ?>  
                        </div>
                    </div>
                </div>
                <div class="erp-user-review-values <?php
                if (isset($user_review_details['erp_user_review_rating_display_style']) && $user_review_details['erp_user_review_rating_display_style'] == 'star') {
                    echo 'erp-star-ind-rating';
                } else if (isset($user_review_details['erp_user_review_rating_display_style']) && $user_review_details['erp_user_review_rating_display_style'] == 'circular') {
                    echo 'erp-circular-ind-rating';
                } else {
                    echo 'erp-circular-ind-rating';
                }
                ?>">
                    <div class="erp-user-review-label">
                        <h4><?php echo esc_attr($user_review_details['erp_user_review_label']); ?></h4>
                    </div>
                    <?php
                    if (!empty($form_review_valuess)) {
                        foreach ($form_review_valuess as $key => $val) {
                            if (!empty($val)) {
                                ?>
                                <div class="erp-user-review-rating-section <?php
                                if (isset($user_review_details['erp_user_review_rating_display_style']) && $user_review_details['erp_user_review_rating_display_style'] == 'star') {
                                    echo 'erp-star-admin-rating';
                                } else if (isset($user_review_details['erp_user_review_rating_display_style']) && $user_review_details['erp_user_review_rating_display_style'] == 'circular') {
                                    echo 'erp-circular-admin-rating';
                                } else {
                                    echo 'erp-circular-admin-rating';
                                }
                                ?>">
                                         <?php
                                         if (isset($user_review_details['erp_user_review_rating_display_style'])) {
                                             switch ($user_review_details['erp_user_review_rating_display_style']) {
                                                 case'star':
                                                     ?>
                                                <label class="er-feature-list-review-title"><?php echo esc_attr($key); ?></label>
                                                <div class="erp-star-rating-input" 
                                                     data-star-value="<?php echo esc_attr($val); ?>"
                                                     data-min-val="<?php echo (isset($general_review_settings['erp_review_range_min']) && !empty($general_review_settings['erp_review_range_min'])) ? esc_attr($general_review_settings['erp_review_range_min']) : '1'; ?>" 
                                                     data-max-val="<?php echo (isset($general_review_settings['erp_review_range_max']) && !empty($general_review_settings['erp_review_range_max'])) ? esc_attr($general_review_settings['erp_review_range_max']) : '10'; ?>"
                                                     data-increment-type="<?php echo isset($general_review_settings['erp_review_range_increment_type']) && !empty($general_review_settings['erp_review_range_increment_type']) ? esc_attr($general_review_settings['erp_review_range_increment_type']) : '0.1'; ?>"
                                                     data-star-rated-fill="<?php echo isset($user_review_details['erp_user_review_review_color']) && !empty($user_review_details['erp_user_review_review_color']) ? esc_attr($user_review_details['erp_user_review_review_color']) : esc_attr($general_review_settings['erp_review_star_fill_color']); ?>" 
                                                     data-star-number="5" 
                                                     data-star-width="28" 
                                                     data-star-spacing="2" 
                                                     data-star-multicolor-enable="off"
                                                     ></div>
                                                <div class="erp-user-review-value"><?php
                                                    if (isset($user_review_details['erp_user_ind_review_type']) && $user_review_details['erp_user_ind_review_type'] == 'percentage' && !empty($val)) {
                                                        $bar_value = $this->erp_convert_percent($val, isset($general_review_settings['erp_review_range_max']) && !empty($general_review_settings['erp_review_range_max']) ? esc_attr($general_review_settings['erp_review_range_max']) : '10', isset($general_review_settings['erp_review_range_min']) && !empty($general_review_settings['erp_review_range_min']) ? esc_attr($general_review_settings['erp_review_range_min']) : '1');
                                                        echo $bar_value . '%';
                                                    } else {
                                                        echo esc_attr($this->erp_truncate_number($val));
                                                    }
                                                    ?></div>
                                                <?php
                                                break;
                                            case 'circular':
                                                $bar_value = $this->erp_convert_percent($val, isset($general_review_settings['erp_review_range_max']) && !empty($general_review_settings['erp_review_range_max']) ? esc_attr($general_review_settings['erp_review_range_max']) : '10', isset($general_review_settings['erp_review_range_min']) && !empty($general_review_settings['erp_review_range_min']) ? esc_attr($general_review_settings['erp_review_range_min']) : '1');
                                                ?>
                                                <div class="erp-circular-rating-input" id="erp-circular-rating-input"
                                                     data-percent="<?php echo esc_attr($bar_value); ?>"
                                                     data-inner-text="<?php
                                                     if (isset($user_review_details['erp_user_ind_review_type']) && $user_review_details['erp_user_ind_review_type'] == 'percentage' && !empty($val)) {
                                                         echo $bar_value . '%';
                                                     } else {
                                                         echo esc_attr($this->erp_truncate_number($val));
                                                     }
                                                     ?>"
                                                     data-circular-rated-fill="<?php echo isset($user_review_details['erp_user_review_review_color']) && !empty($user_review_details['erp_user_review_review_color']) ? esc_attr($user_review_details['erp_user_review_review_color']) : '#f3b40b'; ?>">
                                                </div>
                                                <label class="er-feature-list-review-title"><?php echo esc_attr($key); ?></label>
                                                <?php
                                                break;
                                            default:
                                                $bar_value = $this->erp_convert_percent($val, isset($general_review_settings['erp_review_range_max']) && !empty($general_review_settings['erp_review_range_max']) ? esc_attr($general_review_settings['erp_review_range_max']) : '10', isset($general_review_settings['erp_review_range_min']) && !empty($general_review_settings['erp_review_range_min']) ? esc_attr($general_review_settings['erp_review_range_min']) : '1');
                                                ?>
                                                <div class="erp-circular-rating-input" id="erp-circular-rating-input"
                                                     data-percent="<?php echo esc_attr($bar_value); ?>"
                                                     data-inner-text="<?php
                                                     if (isset($user_review_details['erp_user_ind_review_type']) && $user_review_details['erp_user_ind_review_type'] == 'percentage' && !empty($val)) {
                                                         echo $bar_value . '%';
                                                     } else {
                                                         echo esc_attr($this->erp_truncate_number($val));
                                                     }
                                                     ?>"
                                                     data-circular-rated-fill="<?php echo isset($user_review_details['erp_user_review_review_color']) && !empty($user_review_details['erp_user_review_review_color']) ? esc_attr($user_review_details['erp_user_review_review_color']) : '#f3b40b'; ?>">
                                                </div>
                                                <label class="er-feature-list-review-title"><?php echo esc_attr($key); ?></label>
                                                <?php
                                                break;
                                        }
                                    }
                                    ?>
                                </div>
                                <?php
                            }
                        }
                    }
                    ?>
                </div>
            </div>
        </div>
        <?php
    }
}
